# Class BattlerTag

#### Hierarchy (view full)

- BattlerTag
  - RechargingTag
  - TrappedTag
  - FlinchedTag
  - InterruptedTag
  - ConfusedTag
  - DestinyBondTag
  - InfatuatedTag
  - SeedTag
  - NightmareTag
  - FrenzyTag
  - ChargingTag
  - EncoreTag
  - HelpingHandTag
  - AquaRingTag
  - MinimizeTag
  - DrowsyTag
  - ProtectedTag
  - EnduringTag
  - SturdyTag
  - PerishSongTag
  - AbilityBattlerTag
  - HideSpriteTag
  - TypeImmuneTag
  - TypeBoostTag
  - CritBoostTag
  - AlwaysCritTag
  - IgnoreAccuracyTag
  - SaltCuredTag
  - CursedTag
  - IceFaceTag

- Defined in src/data/battler-tags.ts:31

#####
Index

### Constructors

constructor

### Properties

lapseType
sourceId?
sourceMove
tagType
turnCount

### Methods

canAdd
getDescriptor
getMoveName
isSourceLinked
lapse
loadTag
onAdd
onOverlap
onRemove

## Constructors

### constructor

- new BattlerTag(tagType, lapseType, turnCount, sourceMove, sourceId?): BattlerTag

- #### Parameters

  - tagType: BattlerTagType
  - lapseType: BattlerTagLapseType
  - turnCount: number
  - sourceMove: Moves
  - `Optional` sourceId: number

  #### Returns BattlerTag

  - Defined in src/data/battler-tags.ts:38

## Properties

### lapseType

lapseType: BattlerTagLapseType

- Defined in src/data/battler-tags.ts:33

### `Optional` sourceId

sourceId?: number

- Defined in src/data/battler-tags.ts:36

### sourceMove

sourceMove: Moves

- Defined in src/data/battler-tags.ts:35

### tagType

tagType: BattlerTagType

- Defined in src/data/battler-tags.ts:32

### turnCount

turnCount: number

- Defined in src/data/battler-tags.ts:34

## Methods

### canAdd

- canAdd(pokemon): boolean

- #### Parameters

  - pokemon: default

  #### Returns boolean

  - Defined in src/data/battler-tags.ts:46

### getDescriptor

- getDescriptor(): string

- #### Returns string

  - Defined in src/data/battler-tags.ts:60

### getMoveName

- getMoveName(): string

- #### Returns string

  - Defined in src/data/battler-tags.ts:68

### isSourceLinked

- isSourceLinked(): boolean

- #### Returns boolean

  - Defined in src/data/battler-tags.ts:64

### lapse

- lapse(pokemon, lapseType): boolean

- #### Parameters

  - pokemon: default
  - lapseType: BattlerTagLapseType

  #### Returns boolean

  - Defined in src/data/battler-tags.ts:56

### loadTag

- loadTag(source): void

- When given a battler tag or json representing one, load the data for it. This is meant to be inherited from by any battler tag with custom attributes

  #### Parameters

  - source: any

    A battler tag

  #### Returns void

  - Defined in src/data/battler-tags.ts:79

### onAdd

- onAdd(pokemon): void

- #### Parameters

  - pokemon: default

  #### Returns void

  - Defined in src/data/battler-tags.ts:50

### onOverlap

- onOverlap(pokemon): void

- #### Parameters

  - pokemon: default

  #### Returns void

  - Defined in src/data/battler-tags.ts:54

### onRemove

- onRemove(pokemon): void

- #### Parameters

  - pokemon: default

  #### Returns void

  - Defined in src/data/battler-tags.ts:52